Get track with play count (v1)
Returns a track's all-time play count, duration, explicit flag, artists and album. data is null when the track does not exist.
1 credit / requestBilled only on success
Authorization
ApiKeyAuth x-api-key<token>
In: header
Query Parameters
track_id_or_url*string
The track's open.spotify.com link, its spotify:track: URI, or its 22-character ID (the id in a search result), such as 4cOdK2wGLETKBW3PvgPWqT.
Length
length <= 1000curl -X GET "https://example.com/v1/spotify/track?track_id_or_url=https%3A%2F%2Fopen.spotify.com%2Ftrack%2F4cOdK2wGLETKBW3PvgPWqT" \ -H "x-api-key: YOUR_API_KEY"{ "data": { "id": "4cOdK2wGLETKBW3PvgPWqT", "uri": "spotify:track:4cOdK2wGLETKBW3PvgPWqT", "url": "https://open.spotify.com/track/4cOdK2wGLETKBW3PvgPWqT", "name": "Never Gonna Give You Up", "duration_ms": 213573, "explicit": false, "playable": true, "artists": [ { "id": "0gxyHStUsqpMadRV0Di1Qt", "name": "Rick Astley", "uri": "spotify:artist:0gxyHStUsqpMadRV0Di1Qt", "image_url": "https://i.scdn.co/image/ab6761610000e5eb854861dff9a24a1ed3dfdc7d" } ], "playcount": 1200207819, "track_number": 1, "album": { "id": "5Z9iiGl2FcIfa3BMiv6OIw", "uri": "spotify:album:5Z9iiGl2FcIfa3BMiv6OIw", "url": "https://open.spotify.com/album/5Z9iiGl2FcIfa3BMiv6OIw", "name": "Whenever You Need Somebody", "type": "ALBUM", "release_date": "1987-11-12", "total_tracks": 10, "image_url": "https://i.scdn.co/image/ab67616d0000b273baf89eb11ec7c657805d2da0" } }, "details": { "reason": "string", "message": "string" }}